let rx="("+[

    // 'XXX'
    "'([^'\\\\\\n]|\\\\.)*?'",

    // "XXX"
    "\"([^\"\\\\\\n]|\\\\.)*?\"",

].join('|')+")";


info = {
    'name': 'generic-json',
    'version': '1.0.0',
    'description': 'Generic JSON files',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "'%1'" ],
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],
    'sources-to-scan': ['*.js', '*.ts', '*.cpp', '*.c', '*.h', '*.hpp', '*.cs', '*.java', "*.hbs", "*.vue", "*.php", "*.java", '*.py', '*.rb', '*.groovy', '*.dart'],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,
    'configuration': common.configuration,
    'formats': common.formats
};


fileio = {
    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}



