let rx="("+[

    // {{t 'XXX' param=value}}
    "\\{\\{t\\s*'([^'\\\\\\n]|\\\\.)*?.*?\\}\\}",

    // {{t "XXX" param=value}}
    "\\{\\{t\\s*\"([^\"\\\\\\n]|\\\\.)*?\".*?\\}\\}",

].join('|')+")";


info = {
    'name': 'ember-json',
    'version': '1.0.0',
    'description': 'Ember + ember-intl, one JSON file per language',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [
        "{{t '%1'}}"
    ],
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],
    'sources-to-scan': ["*.js", "*.hbs"],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,
    'configuration': common.configuration,
    'formats': common.formats
};


fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
