
info = {
    'name': 'i18next',
    'version': '1.0.0',
    'description': 'i18next JSON files',
    'file-mode': "language-dir",
    'supports-file-creation': true,
    'delimiter': '.',
    'namespace-delimiter': ':',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "'%1'", "{ this.props.t('%1') }", "{ t('%1') }" ],
    'supports-file-creation': true,
    'exclude-dirs': ['node_modules', 'vendor', 'dist'],

    'sources-to-scan': [],
    'sources-to-exclude': [],
    'source-scanner-rx': null, // disable source code references view

    configuration: [
        common.configuration[0], // indent
        {
            'name': 'format',
            'displayName': 'Format',
            'type': 'enum',
            'default': 'namespaced-json',
            'values': {
                'namespaced-json': 'i18next JSON'
            }
        }
    ],

    formats: common.formats

};

fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
