let rx="("+[

     // blah.get('xxx', {})
     "[A-Za-z0-9_]*\\.(get|getTranslation|instant)\\s*\\(\\s*\\[?'([^'\\\\\\n]|\\\\.)*?'.*?\\)",

     // blah.get("xxx", {})
     "[A-Za-z0-9_]*\\.(get|getTranslation|instant)\\s*\\(\\s*\\[?\"([^\"\\\\\\n]|\\\\.)*?\".*?\\)",

     // _('xxx')
     "_\\(\\s*'([^'\\\\\\n]|\\\\.)*?'.*?\\)",

     // _("xxx")
     "_\\(\\s*\"([^'\\\\\\n]|\\\\.)*?\".*?\\)",

     // {{ 'XXX' | translate }}
     "\\{\\{\\s*'([^'\\\\\\n]|\\\\.)*?'\\s*\\|\\s*translate.*?\\}\\}",

     // {{ "XXX" | translate }}
     "\\{\\{\\s*\"([^\"\\\\\\n]|\\\\.)*?\"\\s*\\|\\s*translate.*?\\}\\}",

     // <div html="'XXX' | translate"/>
     "<[^>]*?\\s*=\\s*\"s*'([^'\\\\\\n]|\\\\.)*?'\\s*\\|\\s*translate.*?\".*?>",

     // <div html='"XXX" | translate'/>
     "<[^>]*?\\s*=\\s*'\\s*\"([^\"\\\\\\n]|\\\\.)*?\"\\s*\\|\\s*translate.*?'.*?>",

     // <div [translate]='"XXX"'/>
     "<[^>]*?\\[\\s*translate\\s*\\]\\s*=\\s*'\\s*\"([^\"\\\\\\n]|\\\\.)*?\"'.*?>",

     // <div [translate]="'XXX'"/>
     "<[^>]*?\\[\\s*translate\\s*\\]\\s*=\\s*\"\\s*'([^'\\\\\\n]|\\\\.)*?'\".*?>",

     // <div translate [translateParams]="{value: 'world'}">key-as-element</div>
     "<[^>]*?\\s+translate\\s+.*?>[^>]+</[^>]*?>",


].join('|')+")";


info = {
    'name': 'ngx-translate',
    'version': '1.0.0',
    'description': 'I/O module for ngx-translate',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "{{'%1' | translate}}", "[translate]=\"'%1'\"", "_('%1')"],
    'configuration': common.configuration,
    'formats': common.formats,
    'exclude-dirs': ['node_modules', 'vendor', 'dist', 'coverage'],
    'sources-to-scan': ["*.ts", '*.html', '*.js'],
    'sources-to-exclude': ["*.spec.ts", '*.ts.html'],
    'source-scanner-rx': rx,
};

fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
