let rx="("+[

    // $t('message.hello', { msg: 'hello' })
    // $tc('message.hello', { msg: 'hello' })
    "\\$tc?\\(\\s*'([^'\\\\\\n]|\\\\.)*?'.*?\\)",

    // $t("message.hello", { msg: 'hello' })
    // $tc("message.hello", { msg: 'hello' })
    "\\$tc?\\(\\s*\"([^\"\\\\\\n]|\\\\.)*?\".*?\\)",

    // <p v-t='"hello"'>
    // <p v-t.preserve='"hello"'>
    // <p v-t='{ path: "hello", locale: "ja", args: { name: "kazupon\"" } }'>
    "<[^>]*?\\s*v-t(\\.\\w+)?\\s*\\s*=\\s*'([^'\\\\\\n]|\\\\.)*?'.*?>",

    // <p v-t="'hello'"">
    // <p v-t.preserve="'hello'">
    // <p v-t="{ path: 'hello', locale: 'ja', args: { name: 'kazupon\'' } }">
    "<[^>]*?\\s*v-t(\\.\\w+)?\\s*\\s*=\\s*\"([^\"\\\\\\n]|\\\\.)*?\".*?>",

].join('|')+")";


info = {
    'name': 'vue-json',
    'version': '1.0.0',
    'description': 'Vue.js with one JSON file per language',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "$t('%1')" ],

    'exclude-dirs': ['node_modules', 'vendor', 'dist'],

    'sources-to-scan': ['*.js', '*.vue', '*.html', '*.htm'],
    'sources-to-exclude': [],
    'source-scanner-rx': rx,

    configuration: [
        common.configuration[0], // indent
        {
            'name': 'format',
            'displayName': 'Format',
            'type': 'enum',
            'default': 'namespaced-json', // generic JSON's default is json
            'values': {
                'plaintext-json': 'JSON with plaintext keys, flat view',
                'json': 'JSON with namespaces in keys, tree view',
                'namespaced-json': 'JSON with nested namespaces, tree view'
            }
        },
        common.configuration[2] // "support_arrays"
    ],
    'formats': common.formats
};


fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
